
Installer - Tracker #29189

Feature # 27069 (Closed): Implement initial EL8 support

installer puppet modules should run on el8

02/26/2020 03:28 PM - William Clark

Status: Resolved % Done: 100%

Priority: Normal   

Assignee: William Clark   

Category:    

Target version:    

Difficulty:  Fixed in Releases: 2.1.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Description

Each puppet module dependency of the foreman-installer will need to be tested and updated for el8 compatibility. This Redmine will

be used to track progress on that work.

Subtasks:

Feature # 29190: puppet-pulpcore should run on el8 Closed

Feature # 29192: puppet-apache should run on el8 Resolved

Feature # 29194: puppet-candlepin should run on el8 Closed

Feature # 29195: puppet-certs should run on el8 Closed

Feature # 29196: puppet-concat should run on el8 Resolved

Feature # 29198: puppet-dhcp should run on el8 Closed

Feature # 29210: puppet-dns should run on el8 Closed

Feature # 29211: puppet-extlib should run on el8 Closed

Feature # 29212: puppet-foreman should run on el8 Closed

Feature # 29213: puppet-foreman_proxy should run on el8 Closed

Feature # 29214: puppet-foreman_proxy_content should run on el8 Closed

Feature # 29215: puppet-katello should run on el8 Closed

Feature # 29216: puppet-systemd should run on el8 Resolved

Feature # 29217: puppet-tftp should run on el8 Closed

Feature # 29218: puppet-xinetd should run on el8 Resolved

Feature # 29735: puppet-puppet should run on el8 Closed

Related issues:

Blocked by Installer - Feature #29704: puppet-git should support EL8 Closed

History

#1 - 02/26/2020 05:49 PM - William Clark

- Parent task set to #27069

#2 - 03/30/2020 05:53 PM - The Foreman Bot

- Status changed from New to Ready For Testing

#3 - 05/05/2020 01:33 PM - Eric Helms

- Blocked by Feature #29704: puppet-git should support EL8 added

#4 - 05/05/2020 09:00 PM - The Foreman Bot

- Fixed in Releases 2.1.0 added

#5 - 05/05/2020 10:01 PM - William Clark

- Status changed from Ready For Testing to Closed
- % Done changed from 47 to 100

Applied in changeset puppet-dhcp|78b4b5299090fd5d42376766a0cc459d194c6367.

#6 - 05/11/2020 10:12 AM - Ewoud Kohl van Wijngaarden

- Status changed from Closed to Assigned

#7 - 05/12/2020 08:54 PM - William Clark

- Status changed from Assigned to Resolved
